Bug 874182 - Creating a consumer with blank sockets results in missing system
Creating a consumer with blank sockets results in missing system
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Og Maciel
Og Maciel
:
Depends On: 873680
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-07 11:21 EST by Jordan OMara
Modified: 2014-11-09 17:56 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Systems with a number of sockets fact equal to an empty string were not being listed in web UI.
Story Points: ---
Clone Of: 873680
Environment:
Last Closed: 2013-02-21 14:19:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Og Maciel 2013-01-02 12:10:53 EST
VERIFIED! Since web ui does not allow user to add a new system, the validation was performed via CLI, making sure to set the number of sockets to zero:

# echo '{"cpu.cpu_socket(s)":"0"}' > /etc/rhsm/facts/sockets.facts
# subscription-manager facts --list | grep cpu.cpu_socket
cpu.cpu_socket(s): 0
lscpu.cpu_socket(s): 1
# subscription-manager register --username admin --password admin --org 'SAM QE' --env 'QE Env'
Validation failed: Sockets must be greater than 0

* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-11h.el6_3.noarch
* katello-cli-common-1.2.1-11h.el6_3.noarch
* katello-common-1.2.1-10h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.1-10h.el6_3.noarch
* katello-headpin-1.2.1-10h.el6_3.noarch
* katello-headpin-all-1.2.1-10h.el6_3.noarch
* katello-selinux-1.2.1-1h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 4 errata-xmlrpc 2013-02-21 14:19:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.